# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.release_notifications:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - release-secondary-balrog-scheduling

task-defaults:
    run-on-repo-type: [hg]
    name: notify-release-drivers-ship
    description: Sends email to release-drivers telling release was shipped.
    run-on-projects: []
    shipping-phase: ship
    worker-type: succeed
    notifications:
        emails:
            by-project:
                mozilla-beta: ["release-signoff@mozilla.org"]
                mozilla-release: ["release-signoff@mozilla.org"]
                try: ["{config[params][owner]}"]
                default: []

tasks:
    firefox-rc:
        shipping-product: firefox
        notifications:
            subject: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} RC updates are ready!"
            message: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} RC updates are ready!"
